> This page is for Afterpay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Get Capabilities

GET https://agencyapi.afterpay.com/v1/onboardings/{onboardingId}/capabilities

Returns details for all Afterpay products and their configurations by onboardingId.

Reference: https://developers.afterpay.com/afterpay-partner-api/api-reference/reference-partner-api/capabilities/get-capabilities

## Servers

- `https://agencyapi.afterpay.com` (Production, default)
- `https://agencyapi.sandbox.afterpay.com` (Sandbox)

## Request

### Path parameters

- `onboardingId` (string, required) — The ID returned during a successful Create an onboarding call.

### Headers

- `Accept` (string, required, default: application/json) — Specifies media types that are acceptable for the response.

## Response

### 200

Returns the capabilities configurations.

- `onboardingId` (string, optional) — The ID returned during a successful Create an onboarding call.
- `capabilities` (Capabilities, optional)

## Errors

### 404 Not Found Error

Not Found - The specified resource was not found.

- `timestamp` (string, optional) — Timestamp of the response, indicating when the error occurred.
- `status` (integer, optional) — The HTTP status code, specifically indicating a 404 error in this case.
- `error` (string, optional) — A short description of the error, typically "Not Found" for a 404 response.
- `message` (string, optional) — A human-readable message providing more details about the error.
- `path` (string, optional) — The attempted endpoint path that resulted in the 404 error.

### 503 Service Unavailable Error

Service unavailable.

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

## Types

### Capabilities

- `payByInstallments` (list of ProductConfigurationItems, optional) — Configurations for the capability.
- `lending` (list of ProductConfigurationItems, optional) — Configurations for the capability.
- `cbt` (list of CapabilitiesCbtItems, optional) — Cross border trade (CBT) product object.
- `errors` (list of any, optional) — Shows any errors encountered during the capability enablement.

### ProductConfigurationItems

- `channel` (string, optional) — Defines whether the channel for the capability is online or in-store. Accepted values [Online, In-store].
- `enabled` (boolean, optional) — Defines whether the capability is enabled for the above channel.
- `configuration` (ProductConfigurationItemsConfiguration, optional)

### CapabilitiesCbtItems

- `channel` (string, optional) — Defines whether the channel for the capability is online or in-store. Accepted values [Online, In-store].
- `enabled` (boolean, optional) — Defines whether the capability is enabled for the above channel.
- `currLocEnabled` (boolean, optional) — Shows whether the currency localization variant of CBT is enabled.
- `updatedAt` (string, optional) — Shows when the config was last updated.
- `errors` (string, optional) — Shows any errors encountered during the capability enablement.
- `limits` (CapabilitiesCbtItemsLimits, optional) — Configurations for the capability.
- `cbtCountries` (list of CapabilitiesCbtItemsCbtCountriesItems, optional)

### ProductConfigurationItemsConfiguration

- `minimumAmount` (ProductConfigurationItemsConfigurationMinimumAmount, optional)
- `maximumAmount` (ProductConfigurationItemsConfigurationMaximumAmount, optional)
- `rateDetails` (list of ProductConfigurationItemsConfigurationRateDetailsItems, optional)

### CapabilitiesCbtItemsLimits

Configurations for the capability.

- `minimumAmount` (CapabilitiesCbtItemsLimitsMinimumAmount, optional)
- `maximumAmount` (CapabilitiesCbtItemsLimitsMaximumAmount, optional)

### CapabilitiesCbtItemsCbtCountriesItems

- `tradingCountryCode` (string, optional) — The same country code that is used in the merchantCountry field in Create an onboarding defining the consumer market where the merchant will sell goods or services in the two-letter ISO 3166-1 alpha-2 standard format.
- `cbtEnabled` (boolean, optional) — Shows whether CBT is enabled for the trading country code above.
- `cbtFee` (string, optional) — Returns the CBT fee in decimal format for the above country code.
- `effectiveFrom` (string, optional) — Effective date and time of when the rate applies.

### ProductConfigurationItemsConfigurationMinimumAmount

- `amount` (string, optional) — Min amount.
- `currency` (string, optional) — Currency for min amount in the three-letter ISO 4217 currency code.

### ProductConfigurationItemsConfigurationMaximumAmount

- `amount` (string, optional) — Max amount.
- `currency` (string, optional) — Currency for max amount in the three-letter ISO 4217 currency code.

### ProductConfigurationItemsConfigurationRateDetailsItems

- `variableRatePercentage` (string, optional) — Variable part of the buy-rate in percentage format e.g., 5.00 for 5%.
- `fixedRate` (string, optional) — Fixed part of the buy-rate e.g., 0.30 for 30 cents.
- `fixedRateCurrencyCode` (string, optional) — Currency of the fixed part of the buy-rate in the three-letter ISO 4217 currency code.
- `rateType` (string, optional) — Type of rate whether introductory for temporary promotional periods or ongoing for steady-state business.
- `durationInMonths` (integer, optional) — Number of months that the introductory rate will be applied.
- `effectiveFrom` (string, optional) — Effective date and time of when the rate applies.

### CapabilitiesCbtItemsLimitsMinimumAmount

- `amount` (string, optional) — Min amount.
- `currency` (string, optional) — Currency for min amount in the three-letter ISO 4217 currency code.

### CapabilitiesCbtItemsLimitsMaximumAmount

- `amount` (string, optional) — Max amount.
- `currency` (string, optional) — Currency for max amount in the three-letter ISO 4217 currency code.

## Examples

**Response**

```json
{
  "onboardingId": "123abcd-456efgh-1124bd",
  "capabilities": {
    "payByInstallments": [
      {
        "channel": "ONLINE",
        "enabled": true,
        "configuration": {
          "minimumAmount": {
            "amount": "200",
            "currency": "USD"
          },
          "maximumAmount": {
            "amount": "4000",
            "currency": "USD"
          },
          "rateDetails": [
            {
              "variableRatePercentage": "5.00",
              "fixedRate": "0.30",
              "fixedRateCurrencyCode": "USD",
              "rateType": "ONGOING",
              "durationInMonths": 1,
              "effectiveFrom": "2023-09-17T21:41:47.341+00:00"
            }
          ]
        }
      }
    ],
    "lending": [
      {
        "channel": "ONLINE",
        "enabled": true,
        "configuration": {
          "minimumAmount": {
            "amount": "200",
            "currency": "USD"
          },
          "maximumAmount": {
            "amount": "4000",
            "currency": "USD"
          },
          "rateDetails": [
            {
              "variableRatePercentage": "5.00",
              "fixedRate": "0.30",
              "fixedRateCurrencyCode": "USD",
              "rateType": "ONGOING",
              "durationInMonths": 1,
              "effectiveFrom": "2023-09-17T21:41:47.341+00:00"
            }
          ]
        }
      }
    ],
    "cbt": [
      {
        "channel": "ONLINE",
        "enabled": true,
        "currLocEnabled": true,
        "updatedAt": "string",
        "errors": "string",
        "limits": {
          "minimumAmount": {
            "amount": "1.00",
            "currency": "GBP"
          },
          "maximumAmount": {
            "amount": "1200.00",
            "currency": "GBP"
          }
        },
        "cbtCountries": [
          {
            "tradingCountryCode": "AU",
            "cbtEnabled": true,
            "cbtFee": "0.0125",
            "effectiveFrom": "2023-07-20T19:18:50.272+00:00"
          }
        ]
      }
    ],
    "errors": [
      "string"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities"

headers = {
    "Accept": "application/json",
    "User-Agent": "User-Agent"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'User-Agent': 'User-Agent'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("User-Agent", "User-Agent")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["User-Agent"] = 'User-Agent'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities")
  .header("Accept", "application/json")
  .header("User-Agent", "User-Agent")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities', [
  'headers' => [
    'Accept' => 'application/json',
    'User-Agent' => 'User-Agent',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("User-Agent", "User-Agent");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "User-Agent": "User-Agent"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```